Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 590067 - Grub lens doesn't handle comments in a title section
Summary: Grub lens doesn't handle comments in a title section
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: augeas
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: David Lutterkort
QA Contact: BaseOS QE - Apps
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-07 16:05 UTC by Matthew Booth
Modified: 2013-04-30 23:41 UTC (History)
5 users (show)

Fixed In Version: augeas-0.7.2-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-10 19:54:50 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Matthew Booth 2010-05-07 16:05:35 UTC
Description of problem:
The grub lens fails to parse grub.conf containing the following:

title Red Hat Enterprise Linux AS (2.4.21-63.ELsmp)
    root (hd0,0)
    kernel /vmlinuz-2.4.21-63.ELsmp ro root=LABEL=/
    #initrd /initrd-2.4.21-63.ELsmp.img
    initrd /initrd-2.4.21-63.EL.img.e1000.8139


Version-Release number of selected component (if applicable):
0.7.1-1

Comment 2 RHEL Product and Program Management 2010-05-07 17:38:42 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 David Lutterkort 2010-05-07 21:11:40 UTC
Fixed this upstream with commit b92bc6de

Do you want me to build 0.7.1-2 with this patch or can you wait until I rebase to 0.7.2 for beta 2 ?

Comment 4 Matthew Booth 2010-05-10 09:43:41 UTC
Thanks, David. I was expecting to do this one myself this morning: this is a pleasant surprise :)

We've got our own build of augeas for RHEL 5. I'll do a new build myself today containing the updated lens.

Comment 5 David Lutterkort 2010-06-30 02:12:51 UTC
Rebased augeas to 0.7.2 which contains a fix for this issue

Comment 8 Mohua Li 2010-08-03 10:40:47 UTC
test on 

virt-v2v-0.6.1-1.el6.x86_64
augeas-libs-0.7.2-2.el6.x86_64
libguestfs-1.2.7-1.21.el6.x86_64

convert a guest with grub.conf setting like below,
timeout=5
splashimage=(hd0,0)/grub/splash.xpm.gz
hiddenmenu
title Red Hat Enterprise Linux Server (2.6.18-194.el5)
	root (hd0,0)
	kernel /vmlinuz-2.6.18-194.el5 ro root=/dev/VolGroup00/LogVol00 rhgb quiet
	#initrd /initrd-2.6.18-194.el5.img2
         initrd /initrd-2.6.18-194.el5.img

steps, 
1,convert the guest with ,
virt-v2v -ic esx://$esxserver/?no_verify=1 -o rhev -osd $export  $guest
2,import the guest, check the converted result,

actual result, 
1,convert without any error or augeas error,
2,the guest driver installed correctly after converted,


so set the bug as verified,

Comment 9 releng-rhel@redhat.com 2010-11-10 19:54:50 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.